SAVELOG(8)

NOMBRE
savelog - Guarda un archivo de registro de eventos

SINOPSIS
savelog [-m modo] [-u usuario] [-g grupo] [-t] [-p] [-c ciclo] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r directorio] [-n] [-q] [-D formato-fecha] fichero ...

DESCRIPCIÓN
La orden savelog guarda y, de forma opcional, comprime copias antiguas de ficheros. Las versiones anteriores del fichero se nombran de la siguiente forma:
    fichero.<número><extensión_compresión>
<número> representa el número de versión, siendo cero el más reciente. Los números de versión > 0 se comprimen, a menos que -l lo impida. El número de versión cero no se comprime, ya que puede que un proceso mantenga el fichero abierto para la E/S. Sólo se preservan las versiones ciclo del fichero. Si el fichero no existe y se introduce -t, este se crea. Se permiten las siguientes acciones con ficheros que existen, y con un tamaño mayor que cero:

1)  Los ficheros con número de versión pasan por un ciclo. La versión fichero.2 se renombra como fichero.3, la versión fichero.1 pasa a ser fichero.2, y así sucesivamente. Por último, la versión fichero.0 se renombra como la versión fichero.1, y se elimina la versión fichero. Los nombres, comprimidos o descomprimidos, pasan por el ciclo, sin importar el uso de -l. Se ignoran los ficheros sin versión.

2)  El fichero.1 nuevo se comprime, a menos que se introduzca la opción -l. Puede cambiar el funcionamiento con las opciones -m, -u, y -g.

3)  El fichero principal se renombra como fichero.0.

4)  Si se introducen las opciones -m, -u, -g, -t o -p, se crea un fichero, de acuerdo a las opciones dadas. Con la opción -p, el fichero se crea con el mismo propietario, grupo y permisos originales.

5)  Las opciones -m, -u y -g modifican el nuevo fichero.0.

OPCIONES

-m modo
    Define el modo para los ficheros de registro, implica -t

-u usuario
    Define al usuario como propietario de los ficheros de registro, implica -t

-g grupo
    Define al grupo como propietario de los ficheros de registro, implica -t

-c ciclo
    Guarda versiones de ciclo del fichero de registro (por omisión: 7). El recuento del ciclo debe ser al menos 2.

-t  Ejecuta «touch», creando un nuevo fichero de registro de eventos

-l  No comprime ficheros de registro de eventos (comprime de forma predeterminada)

-p  Preserva el propietario, grupo y permisos del fichero de registro

-j  Comprime con bzip2, en lugar de gzip

-J  Comprime con xz, en lugar de gzip No se define ningún nivel de compresión para xz, y xz decide el valor predeterminado basándose en la cantidad total de RAM física. Tenga en cuenta que xz puede usar una gran cantidad de memoria en los niveles de compresión más altos.

-1 .. -9
    Define el nivel de compresión o uso de memoria (por omisión: 9, excepto xz)

-C  Fuerza la limpieza de ficheros de registro que han completado un ciclo

-d  Utiliza la fecha estándar al iterar los ficheros

-D formato-fecha
    Sobreescribe el formato de fecha, con el siguiente formato [MMDDhhmm[[CC]YY][.ss]]

-r  Usa directorio en lugar del directorio actual para iterar ficheros

-n  No itera ficheros vacíos

-q  Modo silencioso

FALLOS
Si un proceso aún está editando fichero.0, y «savelog» lo renombra como fichero.1, comprimiéndolo, se pueden perder datos.

VÉASE TAMBIÉN
logrotate(8)